org.apache.poi.ss.formula.functions

## Class MatrixFunction

- java.lang.Object
- - org.apache.poi.ss.formula.functions.MatrixFunction

- All Implemented Interfaces:
    Function

      public abstract class MatrixFunction
      extends java.lang.Object
      implements Function

  Author:
    Robert Hulbert

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MatrixFunction.MutableValueCollector`
    `static class` | `MatrixFunction.OneArrayArg`
    `static class` | `MatrixFunction.TwoArrayArg`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Function` | `MDETERM`
    `static Function` | `MINVERSE`
    `static Function` | `MMULT`
    `static Function` | `TRANSPOSE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatrixFunction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkValues(double[] results)`
    `protected double` | `singleOperandEvaluate(ValueEval arg, int srcCellRow, int srcCellCol)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.ss.formula.functions.Function

      `evaluate`

- - ### Field Detail

    - #### MINVERSE

          public static final Function MINVERSE

    - #### TRANSPOSE

          public static final Function TRANSPOSE

    - #### MDETERM

          public static final Function MDETERM

    - #### MMULT

          public static final Function MMULT

  - ### Constructor Detail

    - #### MatrixFunction

          public MatrixFunction()

  - ### Method Detail

    - #### checkValues

          public static void checkValues(double[] results)
                                  throws EvaluationException

      Throws:
        `EvaluationException`

    - #### singleOperandEvaluate

          protected final double singleOperandEvaluate(ValueEval arg,
                                                       int srcCellRow,
                                                       int srcCellCol)
                                                throws EvaluationException

      Throws:
        `EvaluationException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.